Profiles
65 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| listRateLimitForHotspot | GET | get the rate limit list |
| getApnProfilesForIppt | GET | Get APN profile list by mac for ippt |
| createApnProfileByMac | POST | Create a new APN profile by mac |
| getOuiProfileList | GET | Get OUI profile list |
| createOuiProfile | POST | Create OUI profile |
| deleteOuiProfile | DELETE | Delete OUI Profile |
| modifyOuiProfile | PUT | Modify OUI Profile |
| getOuiProfileFullList | GET | Get OUI profile summary list |
| createPPSKProfile | POST | Create PPSK profile (deprecated) |
| deletePPSKProfile | DELETE | Delete PPSK profile |
| getPPSKProfileDetail | GET | Get PPSK profile detail |
| modifyPPSKProfile | POST | Modify PPSK profile |
| addPSKsToPPSKProfile | POST | Add PSKs to PPSK profile |
| deletePSKsToPPSKProfile | POST | Delete PSKs to PPSK profile |
| autoCreatePPSK | POST | Auto Create PSKs |
| deleteAllPPSKProfiles | DELETE | Delete All PPSK profiles |
| getPPSKProfiles | GET | Get PPSK profiles list |
| getApnProfileList | GET | Get APN profile list |
| createApnProfile | POST | Create a new APN profile |
| deleteApnProfile | DELETE | Delete an exist APN profile |
| modifyApnProfile | PUT | Modify an exist APN profile |
| listMdnsProfile | GET | Get Bonjour Service list |
| createMdnsProfile | POST | Create new Bonjour Service |
| deleteMdnsProfile | DELETE | Delete an existing Bonjour Service |
| modifyMdnsProfile | PUT | Modify an existing Bonjour Service |
| getGroupProfiles | GET | Get group profile list |
| createGroupProfile | POST | Create a new group profile |
| getGroupProfilesByType | GET | Get group profile list by type |
| deleteGroupProfile | DELETE | Delete an exist group profile |
| modifyGroupProfile | PATCH | Modify an exist group profile |
| getLdapProfileList | GET | Get LDAP profile list |
| createLdapProfile | POST | Create a new LDAP profile |
| deleteLdapProfile | DELETE | Delete an exist LDAP profile |
| modifyLdapProfile | PATCH | Modify an exist LDAP profile |
| getGoogleLdapProfileList | GET | Get google LDAP profile list |
| createGoogleLdapProfile | POST | Create a new google LDAP profile |
| deleteGoogleLdapProfile | DELETE | Delete an exist google LDAP profile |
| modifyGoogleLdapProfile | PUT | Modify an exist google LDAP profile |
| getRadiusProfileList | GET | Get RADIUS profile list |
| createRadiusProfile | POST | Create a new RADIUS profile |
| getRadiusUserList | GET | Get Build-in RADIUS profile user list |
| createRadiusUser | POST | Create a new Build-in RADIUS profile user |
| deleteRadiusUser | DELETE | Delete an exist Build-in RADIUS profile user |
| modifyRadiusUser | PATCH | Modify an exist Build-in RADIUS profile user |
| deleteRadiusProfile | DELETE | Delete an exist RADIUS profile |
| modifyRadiusProfile | PATCH | Modify an exist RADIUS profile |
| listServiceType | GET | Get Gateway QoS Service list |
| createServiceType | POST | Create new Gateway QoS Service |
| getServiceTypeSummary | GET | Get all Gateway QoS Service's ID and name info |
| deleteServiceType | DELETE | Delete an existing Gateway QoS Service |
| modifyServiceType | PUT | Modify an existing Gateway QoS Service |
| getWifiCallingProfiles | GET | Get wifi calling profile list |
| createWifiCallingProfile | POST | Create a new wifi calling profile |
| deleteWifiCallingProfile | DELETE | Delete an exist wifi calling profile |
| modifyWifiCallingProfile | PATCH | Modify a wifi calling profile |
| copyWifiCallingProfile | POST | Copy wifi calling profile |
| deleteRateLimitProfile | DELETE | Delete rate limit profile |
| modifyRateLimitProfile | PUT | Modify rate limit profile |
| getRateLimitProfileList | GET | Get rate limit profile list |
| createRateLimitProfile | POST | Create rate limit profile |
| deleteTimeRangeProfile | DELETE | Delete time range profile |
| modifyTimeRangeProfile | PUT | Modify time range profile |
| getTimeRangeList | GET | Get time range profile list |
| createTimeRangeProfile | POST | Create time range profile |
| createPPSKProfileV2 | POST | Create PPSK profile V2 |
listRateLimitForHotspot
GET /openapi/v1/{omadacId}/hotspot/sites/{siteId}/setting/profiles/rateLimits
get the rate limit list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "listRateLimitForHotspot",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query the rate limit list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getApnProfilesForIppt
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/profiles/apns
Get APN profile list by mac for ippt
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getApnProfilesForIppt",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get APN profile list of the site with the given omadacId, siteId and mac for ippt.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
createApnProfileByMac
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/profiles/apns
Create a new APN profile by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ApnProfileConfig
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | APN profile name, name should contain 1 to 64 characters. |
pdpType | integer | yes | PdpType should be a value as follows: 0: IPv4; 1: IPv6; 2: IPv4 & IPv6. |
apnType | integer | yes | ApnType should be a value as follows: 0: static; 1: dynamic. |
apn | string | no | Access point name, only for apnType static, should contain 1 to 62 characters and should meet the following requirements: 1. Only allow letters, numbers, hyphens and dots. 2. Should not start with "rac", "lac", "sgsn" or "rnc" and end with ".gprs", ignoring case. 3. Should not contain ".-", "-." and spaces. |
username | string | no | Username should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed. |
password | string | no | Password should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed. |
authentication | integer | yes | Authentication should be a value as follows: 0: None; 1: PAP; 2: CHAP |
applyToSIM | integer | no | When the device supports Dual-SIM card, parameter [applyToSim] should be a value as follows: 1: apply to SIM1; 2: apply to SIM2; 3: apply to SIM1 and SIM2. |
// omada_call_operation
{
"operationId": "createApnProfileByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new APN profile by mac with the given params.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33506 - This Profile name already exists.
-33553 - The LTE WAN or Cellular WAN port is configured with IPv6 network. Please re-select the APN Profile of IPv6 mode.
-33798 - The number of APN Profile has reached the limit.
getOuiProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/oui-profiles
Get OUI profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOuiProfileList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get OUI profile list.(Pagination)
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
createOuiProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/oui-profiles
Create OUI profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OuiProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | OUI Profile name should contain 1 to 64 characters. |
ouiCombine | array<OUI and description.> | no | OUI and description |
// omada_call_operation
{
"operationId": "createOuiProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create OUI profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33781 - This OUI profile already exists.
-33782 - The number of OUIs has reached the limit.
-33784 - The OUI profile has duplicate OUIs.
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
deleteOuiProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/oui-profiles/{ouiId}
Delete OUI Profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ouiId | path | string | yes | OUI ID |
// omada_call_operation
{
"operationId": "deleteOuiProfile",
"params": {
"siteId": "<siteId>",
"ouiId": "<ouiId>"
}
}Details, permissions and error codes
Delete OUI Profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-33780 - OUI Profile has been used in OUI based VLAN.
-34226 - OUI Profile has been used in Wireless MAC Filter.
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
modifyOuiProfile
PUT /openapi/v1/{omadacId}/sites/{siteId}/oui-profiles/{ouiId}
Modify OUI Profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ouiId | path | string | yes | OUI ID |
Request body — application/json (required) — schema OuiProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | OUI Profile name should contain 1 to 64 characters. |
ouiCombine | array<OUI and description.> | no | OUI and description |
// omada_call_operation
{
"operationId": "modifyOuiProfile",
"params": {
"siteId": "<siteId>",
"ouiId": "<ouiId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify OUI Profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-33781 - This OUI profile already exists.
-33782 - The number of OUIs has reached the limit.
-33782 - The number of OUIs has reached the limit.
-33784 - The OUI profile has duplicate OUIs.
-33784 - The OUI profile has duplicate OUIs.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
getOuiProfileFullList
GET /openapi/v1/{omadacId}/sites/{siteId}/oui-profiles/all
Get OUI profile summary list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getOuiProfileFullList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get OUI profile summary list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
createPPSKProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profile
Deprecated
This operation is deprecated.
Create PPSK profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PpskProfile
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | PPSK Profile Name, should contain 1 to 64 characters. |
ppsk | array<PpskSetting> | yes | PPSK List In the PPSK Profile |
type | integer | no | This field has been deprecated since version 6.1. PPSK Profile type: 0:PPSK Without RADIUS;Cloud Based Controller only support PPSK Without RADIUS. |
rateLimit | PPSKRateLimitSettingVO | no | (PPSKRateLimitSettingVO not expanded; call omada_get_schema "PPSKRateLimitSettingVO") |
expiration | PPSKExpirationVO | no | (PPSKExpirationVO not expanded; call omada_get_schema "PPSKExpirationVO") |
// omada_call_operation
{
"operationId": "createPPSKProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create PPSK profile This interface has been deprecated. Please use the following interface instead: Create PPSK profile V2
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
deletePPSKProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profile/{profileId}
Delete PPSK profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | PPSK profile Id |
// omada_call_operation
{
"operationId": "deletePPSKProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Delete PPSK profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getPPSKProfileDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profile/{profileId}
Get PPSK profile detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | PPSK profile Id |
// omada_call_operation
{
"operationId": "getPPSKProfileDetail",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Get PPSK profile detail
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyPPSKProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profile/{profileId}
Modify PPSK profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | PPSK profile Id |
Request body — application/json (required) — schema PpskProfile
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | PPSK Profile Name, should contain 1 to 64 characters. |
ppsk | array<PpskSetting> | yes | PPSK List In the PPSK Profile |
type | integer | no | This field has been deprecated since version 6.1. PPSK Profile type: 0:PPSK Without RADIUS;Cloud Based Controller only support PPSK Without RADIUS. |
rateLimit | PPSKRateLimitSettingVO | no | (PPSKRateLimitSettingVO not expanded; call omada_get_schema "PPSKRateLimitSettingVO") |
expiration | PPSKExpirationVO | no | (PPSKExpirationVO not expanded; call omada_get_schema "PPSKExpirationVO") |
// omada_call_operation
{
"operationId": "modifyPPSKProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify PPSK profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
addPSKsToPPSKProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profile/{profileId}/add-psk
Add PSKs to PPSK profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | PPSK profile Id |
Request body — application/json (required) — schema AddPSKsOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ppskList | array<PpskSetting> | yes | PSK entries that need to be added to the PPSK Profile |
// omada_call_operation
{
"operationId": "addPSKsToPPSKProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Add PSKs to a PPSK profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
deletePSKsToPPSKProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profile/{profileId}/delete-psk
Delete PSKs to PPSK profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | PPSK profile Id |
Request body — application/json (required) — schema DeletePSKsOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ppskNameList | array<string> | yes | PSK names that need to be deleted to the PPSK Profile |
// omada_call_operation
{
"operationId": "deletePSKsToPPSKProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete PSKs to a PPSK profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
autoCreatePPSK
POST /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profile/generate-psk
Auto Create PSKs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PpskAutoCreateSetting
| Field | Type | Required | Description |
|---|---|---|---|
number | integer | yes | Generate Number, should be within the range of 1-1024. |
prefix | string | yes | PSK Name Prefix, should contain 1 to 60 visible ASCII characters. |
length | integer | yes | PSK Password Length, should be within the range of 8-63. |
vlan | integer | no | PSK Bound Vlan, should be within the range of 1-4094. |
// omada_call_operation
{
"operationId": "autoCreatePPSK",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Auto Create PSKs
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
deleteAllPPSKProfiles
DELETE /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profiles
Delete All PPSK profiles
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "deleteAllPPSKProfiles",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Delete All PPSK profiles
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33826 - Failed to delete all PPSK profiles because some PPSK profiles are used on SSIDs.
getPPSKProfiles
GET /openapi/v1/{omadacId}/sites/{siteId}/ppsk-profiles
Get PPSK profiles list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getPPSKProfiles",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get PPSK profiles list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getApnProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/apn
Get APN profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getApnProfileList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get APN profile list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
createApnProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/apn
Create a new APN profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ApnProfileConfig
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | APN profile name, name should contain 1 to 64 characters. |
pdpType | integer | yes | PdpType should be a value as follows: 0: IPv4; 1: IPv6; 2: IPv4 & IPv6. |
apnType | integer | yes | ApnType should be a value as follows: 0: static; 1: dynamic. |
apn | string | no | Access point name, only for apnType static, should contain 1 to 62 characters and should meet the following requirements: 1. Only allow letters, numbers, hyphens and dots. 2. Should not start with "rac", "lac", "sgsn" or "rnc" and end with ".gprs", ignoring case. 3. Should not contain ".-", "-." and spaces. |
username | string | no | Username should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed. |
password | string | no | Password should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed. |
authentication | integer | yes | Authentication should be a value as follows: 0: None; 1: PAP; 2: CHAP |
applyToSIM | integer | no | When the device supports Dual-SIM card, parameter [applyToSim] should be a value as follows: 1: apply to SIM1; 2: apply to SIM2; 3: apply to SIM1 and SIM2. |
// omada_call_operation
{
"operationId": "createApnProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new APN profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33506 - This Profile name already exists.
-33553 - The LTE WAN or Cellular WAN port is configured with IPv6 network. Please re-select the APN Profile of IPv6 mode.
-33798 - The number of APN Profile has reached the limit.
deleteApnProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/apn/{profileId}
Delete an exist APN profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | APN profile ID. |
// omada_call_operation
{
"operationId": "deleteApnProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Delete an exist APN profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyApnProfile
PUT /openapi/v1/{omadacId}/sites/{siteId}/profiles/apn/{profileId}
Modify an exist APN profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | APN profile ID. |
Request body — application/json (required) — schema ApnProfileConfig
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | APN profile name, name should contain 1 to 64 characters. |
pdpType | integer | yes | PdpType should be a value as follows: 0: IPv4; 1: IPv6; 2: IPv4 & IPv6. |
apnType | integer | yes | ApnType should be a value as follows: 0: static; 1: dynamic. |
apn | string | no | Access point name, only for apnType static, should contain 1 to 62 characters and should meet the following requirements: 1. Only allow letters, numbers, hyphens and dots. 2. Should not start with "rac", "lac", "sgsn" or "rnc" and end with ".gprs", ignoring case. 3. Should not contain ".-", "-." and spaces. |
username | string | no | Username should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed. |
password | string | no | Password should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed. |
authentication | integer | yes | Authentication should be a value as follows: 0: None; 1: PAP; 2: CHAP |
applyToSIM | integer | no | When the device supports Dual-SIM card, parameter [applyToSim] should be a value as follows: 1: apply to SIM1; 2: apply to SIM2; 3: apply to SIM1 and SIM2. |
// omada_call_operation
{
"operationId": "modifyApnProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an exist APN profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33506 - This Profile name already exists.
-33553 - The LTE WAN or Cellular WAN port is configured with IPv6 network. Please re-select the APN Profile of IPv6 mode.
-33798 - The number of APN Profile has reached the limit.
listMdnsProfile
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/bonjour-service
Get Bonjour Service list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "listMdnsProfile",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Bonjour Service list.
The interface requires one of the permissions:
Site Settings Manager View Only
createMdnsProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/bonjour-service
Create new Bonjour Service
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BonjourServiceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The name of Bonjour Service should contain 1 to 64 characters. |
serviceIds | array<string> | yes | The Service ID list of Bonjour Service. Service ID is a string in "_A._B.local" format, where "A" can be lowercase letters/numbers/hyphens (-)/underscore (_), and "B" should be lowercase letters. For example: _a1._b.local.Up to 3 entries are allowed for the serviceIds list. |
// omada_call_operation
{
"operationId": "createMdnsProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new Bonjour Service.
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33756 - This Bonjour Service name already exists.
-33757 - The number of custom Bonjour Service has reached the limit.
deleteMdnsProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/bonjour-service/{id}
Delete an existing Bonjour Service
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Bonjour Service ID |
// omada_call_operation
{
"operationId": "deleteMdnsProfile",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete an existing Bonjour Service.
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33759 - Build-in Bonjour Service cannot be edited or deleted.
-33763 - Bonjour Service is used by mDNS rule, cannot be deleted.
modifyMdnsProfile
PUT /openapi/v1/{omadacId}/sites/{siteId}/profiles/bonjour-service/{id}
Modify an existing Bonjour Service
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Bonjour Service ID |
Request body — application/json (required) — schema BonjourServiceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The name of Bonjour Service should contain 1 to 64 characters. |
serviceIds | array<string> | yes | The Service ID list of Bonjour Service. Service ID is a string in "_A._B.local" format, where "A" can be lowercase letters/numbers/hyphens (-)/underscore (_), and "B" should be lowercase letters. For example: _a1._b.local.Up to 3 entries are allowed for the serviceIds list. |
// omada_call_operation
{
"operationId": "modifyMdnsProfile",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing Bonjour Service.
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33756 - This Bonjour Service name already exists.
-33758 - One or more Bonjour Services do not exist.
-33759 - Build-in Bonjour Service cannot be edited or deleted.
getGroupProfiles
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/groups
Get group profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getGroupProfiles",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get group profile list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
createGroupProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/groups
Create a new group profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Group profile name. Name should contain 1 to 64 characters |
type | integer | yes | Type of group profile, type should be a value as follows: 0: IP Group; 1: IP Port Group; 2: MAC Group; 3: IPv6 Group; 4: IPv6 Port Group; 5: Country Group; 7: Domain Group; |
ipList | array<IPSubnetsOpenApiVO> | no | IP subnet info list. [type] value of 0 or 1 is required |
ipv6List | array<IPv6SubnetsOpenApiVO> | no | IPv6 subnet info list. [type] value of 3 or 4 is required |
portType | integer | no | Port type, portType should be a value as follows: 0: port range 1: port mask. [type] value of 1 or 4 is required |
portList | array<string> | no | Port list. [portType] value of 0 is required. PortList should be within the range of 0-65535, e.g. 80 or 80-100 |
portMaskList | array<PortMaskOpenApiVO> | no | Port mask list. [portType] value of 1 is required |
macAddressList | array<CreateMacAddressOpenApiVO> | no | MAC address list. [type] value of 2 is required |
countryList | array<string> | no | Country list. [type] value of 5 is required. For the values of countryList, refer to 'Country Name' section 5.4.1 of the Open API Access Guide |
description | string | no | Description should contain 1 to 256 characters. [type] value of 5 is required |
domainNamePort | array<DomainOpenApiVO> | no | Domain info. Handle situations where there are ports, [type] value of 7 is required |
// omada_call_operation
{
"operationId": "createGroupProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new group profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33702 - This group name already exists.
-33706 - The number of rules has reached the limit.
-33707 - This MAC List already exists.
-33708 - The number of addresses has reached the limit.
-33724 - The number of IpGroups has reached the limit.
-33725 - The number of IpPortGroups has reached the limit.
-33726 - The number of Ips has reached the limit of IpGroup.
-33727 - The number of Ips has reached the limit of IpPortGroup.
-33728 - The number of Ports has reached the limit of IpPortGroup.
-33749 - Duplicate MAC addresses exist in the MAC address list of the MAC group.
-33760 - The number of IP addresses in the IPv6 group has reached the limit.
-33761 - The number of IPv6 groups has reached the limit.
-33765 - The number of IP addresses in the IPv6 Port group has reached the limit.
-33766 - The number of Ports has reached the limit of Ipv6PortGroup.
-33767 - The number of IPv6 port groups has reached the limit.
-33770 - The number of Country groups has reached the limit.
-33815 - The number of domain groups has reached the limit.
-33817 - The number of domain names has reached the limit of domain group.
-33819 - This domain group has wrong type of domain.
-33822 - This domain group has wrong domain or invalid format port.
getGroupProfilesByType
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/groups/{groupType}
Get group profile list by type
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
groupType | path | string | yes | Type of group profile, 0:IP Group; 1:IP Port Group; 2:Mac Group; 3:IPv6 Group; 4:IPv6 Port Group; 5:Country Group; 7:Domain Group. |
// omada_call_operation
{
"operationId": "getGroupProfilesByType",
"params": {
"siteId": "<siteId>",
"groupType": "<groupType>"
}
}Details, permissions and error codes
Get a certain type of group profile list of the site with the given omadacId and siteId and type.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
deleteGroupProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/groups/{groupType}/{groupId}
Delete an exist group profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
groupType | path | string | yes | Type of group profile, 0:IP Group; 1:IP Port Group; 2:Mac Group; 3:IPv6 Group; 4:IPv6 Port Group; 5:Country Group; 7:Domain Group. |
groupId | path | string | yes | Group profile id. |
// omada_call_operation
{
"operationId": "deleteGroupProfile",
"params": {
"siteId": "<siteId>",
"groupType": "<groupType>",
"groupId": "<groupId>"
}
}Details, permissions and error codes
Delete an exist group profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33703 - This group does not exist.
-33704 - This group does not exist.
-33705 - Failed to delete this group because it is used in wireless network settings.
-33717 - This IP group has been used in the ACL rule.
-33718 - This IP-Port group has been used in the ACL rule.
-33719 - This MAC group has been used in the ACL rule.
-33720 - This IP group has been used in URL filtering rule.
-33721 - This IP group has been used in Transmission settings.
-33729 - Default IpGroup not allowed to be edited.
-33741 - This IP-Port group has been used in Policy Routing.
-33762 - This IPv6 group has been used in QoS class rule.
-33764 - This IP group has been used in QoS class rule.
-33768 - This IPv6 group has been used in the ACL rule.
-33769 - This IPv6 port group has been used in the ACL rule.
-33771 - This Country group has been used in the ACL rule.
-33775 - Cannot delete the MAC group because it is used in the MAC Filtering.
-33816 - Default domain group not allowed to be edited.
-33818 - This domain group has been used in the ACL rule.
modifyGroupProfile
PATCH /openapi/v1/{omadacId}/sites/{siteId}/profiles/groups/{groupType}/{groupId}
Modify an exist group profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
groupType | path | string | yes | Type of group profile, 0:IP Group; 1:IP Port Group; 2:Mac Group; 3:IPv6 Group; 4:IPv6 Port Group; 5:Country Group; 7:Domain Group. |
groupId | path | string | yes | Group profile id. |
Request body — application/json (required) — schema CreateGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Group profile name. Name should contain 1 to 64 characters |
type | integer | yes | Type of group profile, type should be a value as follows: 0: IP Group; 1: IP Port Group; 2: MAC Group; 3: IPv6 Group; 4: IPv6 Port Group; 5: Country Group; 7: Domain Group; |
ipList | array<IPSubnetsOpenApiVO> | no | IP subnet info list. [type] value of 0 or 1 is required |
ipv6List | array<IPv6SubnetsOpenApiVO> | no | IPv6 subnet info list. [type] value of 3 or 4 is required |
portType | integer | no | Port type, portType should be a value as follows: 0: port range 1: port mask. [type] value of 1 or 4 is required |
portList | array<string> | no | Port list. [portType] value of 0 is required. PortList should be within the range of 0-65535, e.g. 80 or 80-100 |
portMaskList | array<PortMaskOpenApiVO> | no | Port mask list. [portType] value of 1 is required |
macAddressList | array<CreateMacAddressOpenApiVO> | no | MAC address list. [type] value of 2 is required |
countryList | array<string> | no | Country list. [type] value of 5 is required. For the values of countryList, refer to 'Country Name' section 5.4.1 of the Open API Access Guide |
description | string | no | Description should contain 1 to 256 characters. [type] value of 5 is required |
domainNamePort | array<DomainOpenApiVO> | no | Domain info. Handle situations where there are ports, [type] value of 7 is required |
// omada_call_operation
{
"operationId": "modifyGroupProfile",
"params": {
"siteId": "<siteId>",
"groupType": "<groupType>",
"groupId": "<groupId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an exist group profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33702 - This group name already exists.
-33707 - This MAC List already exists.
-33729 - Default IpGroup not allowed to be edited.
-33749 - Duplicate MAC addresses exist in the MAC address list of the MAC group.
-33816 - Default domain group not allowed to be edited.
-33819 - This domain group has wrong type of domain.
-33822 - This domain group has wrong domain or invalid format port.
getLdapProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/ldap
Get LDAP profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getLdapProfileList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get LDAP profile list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
createLdapProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/ldap
Create a new LDAP profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateLdapProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LDAP profile name. Name should contain 1 to 64 characters |
status | boolean | yes | LDAP profile enable status |
bindType | integer | yes | Type of LDAP bind. BindType should be a value as follows: 0: Simple Mode; 1: Anonymous Mode; 2: Regular Mode |
server | string | yes | LDAP server address |
dstPort | integer | yes | LDAP server listening port. dstPort should be within the range of 0-65535. When SSL is not enabled, it is generally 389, and when SSL is enabled, it is generally 636 |
useSsl | boolean | yes | LDAP server enable ssl status |
cn | string | yes | LDAP server common name, for example: cn, uid. Cn should contain 1 to 64 characters |
baseDn | string | yes | LDAP server base distinguish name, for example: dc=xxx,dc=com. BaseDn should contain 1 to 512 characters. |
groupDn | string | no | LDAP server group distinguish name, optional when parameter [type] is 1 or 2. For example: ou=xxx,dc=xxx,dc=com. GroupDn should contain 1 to 512 characters |
filter | string | no | Additional filter, optional when parameter [type] is 1 or 2. For example: ou=xxx. Filter should contain 1 to 512 characters |
regularDn | string | no | Regular Dn, required when parameter [type] is 2. RegularDn should contain 1 to 256 characters |
regularPassword | string | no | Regular Password, required when parameter [type] is 2. RegularPassword should contain 1 to 256 characters |
// omada_call_operation
{
"operationId": "createLdapProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new LDAP profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-43401 - The LDAP profile does not exist.
-43402 - The profile name already exists.
deleteLdapProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/ldap/{ldapProfileId}
Delete an exist LDAP profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ldapProfileId | path | string | yes | LDAP profile ID. |
// omada_call_operation
{
"operationId": "deleteLdapProfile",
"params": {
"siteId": "<siteId>",
"ldapProfileId": "<ldapProfileId>"
}
}Details, permissions and error codes
Delete an exist LDAP profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyLdapProfile
PATCH /openapi/v1/{omadacId}/sites/{siteId}/profiles/ldap/{ldapProfileId}
Modify an exist LDAP profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ldapProfileId | path | string | yes | LDAP profile ID. |
Request body — application/json (required) — schema CreateLdapProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LDAP profile name. Name should contain 1 to 64 characters |
status | boolean | yes | LDAP profile enable status |
bindType | integer | yes | Type of LDAP bind. BindType should be a value as follows: 0: Simple Mode; 1: Anonymous Mode; 2: Regular Mode |
server | string | yes | LDAP server address |
dstPort | integer | yes | LDAP server listening port. dstPort should be within the range of 0-65535. When SSL is not enabled, it is generally 389, and when SSL is enabled, it is generally 636 |
useSsl | boolean | yes | LDAP server enable ssl status |
cn | string | yes | LDAP server common name, for example: cn, uid. Cn should contain 1 to 64 characters |
baseDn | string | yes | LDAP server base distinguish name, for example: dc=xxx,dc=com. BaseDn should contain 1 to 512 characters. |
groupDn | string | no | LDAP server group distinguish name, optional when parameter [type] is 1 or 2. For example: ou=xxx,dc=xxx,dc=com. GroupDn should contain 1 to 512 characters |
filter | string | no | Additional filter, optional when parameter [type] is 1 or 2. For example: ou=xxx. Filter should contain 1 to 512 characters |
regularDn | string | no | Regular Dn, required when parameter [type] is 2. RegularDn should contain 1 to 256 characters |
regularPassword | string | no | Regular Password, required when parameter [type] is 2. RegularPassword should contain 1 to 256 characters |
// omada_call_operation
{
"operationId": "modifyLdapProfile",
"params": {
"siteId": "<siteId>",
"ldapProfileId": "<ldapProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an exist LDAP profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-43404 - Cannot delete the LDAP profile. It is being used in L2TP/PPTP/IPSec/OpenVPN.
getGoogleLdapProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/ldap/google
Get google LDAP profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getGoogleLdapProfileList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get google LDAP profile list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
createGoogleLdapProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/ldap/google
Create a new google LDAP profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — multipart/form-data (optional). File field(s): file.
Other form fields (sent as JSON parts): config.
// omada_call_operation
{
"operationId": "createGoogleLdapProfile",
"params": {
"siteId": "<siteId>"
},
"body": {
"config": "{...}"
},
"files": {
"file": {
"path": "/path/to/file"
}
}
}Details, permissions and error codes
Create a new google LDAP profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-43401 - The LDAP profile does not exist.
-43402 - The profile name already exists.
-43412 - The gateway does not support Google LDAP profile.
-43413 - Cannot parse the Google LDAP authentication file. The file may be incorrect or damaged.
deleteGoogleLdapProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/ldap/google/{profileId}
Delete an exist google LDAP profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | google LDAP profile ID. |
// omada_call_operation
{
"operationId": "deleteGoogleLdapProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Delete an exist google LDAP profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-43404 - Cannot delete the LDAP profile. It is being used in L2TP/PPTP/IPSec/OpenVPN.
modifyGoogleLdapProfile
PUT /openapi/v1/{omadacId}/sites/{siteId}/profiles/ldap/google/{profileId}
Modify an exist google LDAP profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | LDAP profile ID. |
Request body — multipart/form-data (optional). File field(s): file.
Other form fields (sent as JSON parts): config.
// omada_call_operation
{
"operationId": "modifyGoogleLdapProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": {
"config": "{...}"
},
"files": {
"file": {
"path": "/path/to/file"
}
}
}Details, permissions and error codes
Modify an exist google LDAP profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-43404 - Cannot delete the LDAP profile. It is being used in L2TP/PPTP/IPSec/OpenVPN.
-43412 - The gateway does not support Google LDAP profile.
-43413 - Cannot parse the Google LDAP authentication file. The file may be incorrect or damaged.
getRadiusProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/radius
Get RADIUS profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getRadiusProfileList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get RADIUS profile list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createRadiusProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/radius
Create a new RADIUS profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateRadiusProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Radius profile name should contain 1 to 64 characters |
authServer | array<RadiusAuthServerOpenApiVO> | yes | Radius authentication server list |
radiusAccountingEnable | boolean | yes | Radius accounting enable status |
interimUpdateEnable | boolean | no | When radius accounting enables, interval update enable status |
interimUpdateInterval | integer | no | When interval update enables, interval update duration, unit: second. InterimUpdateInterval should be within the range of 60-86400 |
acctServer | array<RadiusAcctServerOpenApiVO> | no | Radius accounting server list, valid when parameter [radiusAccountingEnable] is true |
wirelessVlanAssignment | boolean | yes | VLAN assignment for wireless network enable status |
coaEnable | boolean | no | Radius CoA enable status |
coaPassword | string | no | Radius CoA password, required when parameter [coaEnable] is true. CoaPassword should contain 1 to 128 characters. The question mark (?), double quote ("), percent sign (%), and backslash (\) may cause the RADIUS function to fail and are not recommended. |
requireMessageAuthenticator | boolean | no | Message-Authenticator enable status |
// omada_call_operation
{
"operationId": "createRadiusProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new RADIUS profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-34000 - Interim Update Interval ranges from 60 to 86400.
-34002 - Accounting port number ranges from 60 to 86400.
-34003 - Enter the shared secret key of the accounting server using 1-128 printable ASCII characters (including the space).
-34004 - This RADIUS profile already exists.
-34011 - Invalid IP address of the RADIUS server.
-34011 - Invalid IP address of the RADIUS server.
-34014 - The number of RADIUS profiles has reached the limit.
getRadiusUserList
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/radius-server/users
Get Build-in RADIUS profile user list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.username | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getRadiusUserList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Build-in RADIUS profile user list of the site with the given omadacId and siteId. Cloud Based Controller does not support built-in radius function, you cannot call this interface through openAPI on Cloud Based Controller.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createRadiusUser
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/radius-server/users
Create a new Build-in RADIUS profile user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateRadiusUserOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Type of Build-in RADIUS profile user, 0: user auth; 1: MAC auth |
userInfo | RadiusUserInfoOpenApiVO | no | (RadiusUserInfoOpenApiVO not expanded; call omada_get_schema "RadiusUserInfoOpenApiVO") |
macAddress | string | no | MAC address, required when parameter [type] is 1. Should be a valid MAC address format |
upRateLimit | integer | no | Build-in RADIUS profile user uplink rate limit, unit: Kbps. UpRateLimit should be within the range of 1-10485760 |
downRateLimit | integer | no | Build-in RADIUS profile user downlink rate limit, unit: Kbps. DownRateLimit should be within the range of 1-10485760 |
upLimit | integer | no | Build-in RADIUS profile user uplink traffic limit, unit: MB. UpLimit should be within the range of 1-10485760 |
downLimit | integer | no | Build-in RADIUS profile user downlink traffic limit, unit: MB. DownLimit should be within the range of 1-10485760 |
vlanId | integer | no | VLAN ID. VlanId should be within the range of 1-4096 |
timeout | integer | no | Session timeout, unit: second |
description | string | no | Description of radius user, should contain 1 to 256 characters |
// omada_call_operation
{
"operationId": "createRadiusUser",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get Build-in RADIUS profile user list of the site with the given omadacId and siteId. Cloud Based Controller does not support built-in radius function, you cannot call this interface through openAPI on Cloud Based Controller.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34024 - The RADIUS user name already exists.
-34025 - The number of RADIUS users has reached the limit.
-34030 - The RADIUS user name exists in other sites. Please contact the administrator if necessary.
deleteRadiusUser
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/radius-server/users/{userId}
Delete an exist Build-in RADIUS profile user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
userId | path | string | yes | Build-in RADIUS profile user Id |
// omada_call_operation
{
"operationId": "deleteRadiusUser",
"params": {
"siteId": "<siteId>",
"userId": "<userId>"
}
}Details, permissions and error codes
Get Build-in RADIUS profile user list of the site with the given omadacId and siteId. Cloud Based Controller does not support built-in radius function, you cannot call this interface through openAPI on Cloud Based Controller.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyRadiusUser
PATCH /openapi/v1/{omadacId}/sites/{siteId}/profiles/radius-server/users/{userId}
Modify an exist Build-in RADIUS profile user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
userId | path | string | yes | Build-in RADIUS profile user Id |
Request body — application/json (required) — schema CreateRadiusUserOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Type of Build-in RADIUS profile user, 0: user auth; 1: MAC auth |
userInfo | RadiusUserInfoOpenApiVO | no | (RadiusUserInfoOpenApiVO not expanded; call omada_get_schema "RadiusUserInfoOpenApiVO") |
macAddress | string | no | MAC address, required when parameter [type] is 1. Should be a valid MAC address format |
upRateLimit | integer | no | Build-in RADIUS profile user uplink rate limit, unit: Kbps. UpRateLimit should be within the range of 1-10485760 |
downRateLimit | integer | no | Build-in RADIUS profile user downlink rate limit, unit: Kbps. DownRateLimit should be within the range of 1-10485760 |
upLimit | integer | no | Build-in RADIUS profile user uplink traffic limit, unit: MB. UpLimit should be within the range of 1-10485760 |
downLimit | integer | no | Build-in RADIUS profile user downlink traffic limit, unit: MB. DownLimit should be within the range of 1-10485760 |
vlanId | integer | no | VLAN ID. VlanId should be within the range of 1-4096 |
timeout | integer | no | Session timeout, unit: second |
description | string | no | Description of radius user, should contain 1 to 256 characters |
// omada_call_operation
{
"operationId": "modifyRadiusUser",
"params": {
"siteId": "<siteId>",
"userId": "<userId>"
},
"body": "{...}"
}Details, permissions and error codes
Get Build-in RADIUS profile user list of the site with the given omadacId and siteId. Cloud Based Controller does not support built-in radius function, you cannot call this interface through openAPI on Cloud Based Controller.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34024 - The RADIUS user name already exists.
-34026 - The RADIUS user does not exist.
-34030 - The RADIUS user name exists in other sites. Please contact the administrator if necessary.
deleteRadiusProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/radius/{radiusProfileId}
Delete an exist RADIUS profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
radiusProfileId | path | string | yes | Radius profile Id |
// omada_call_operation
{
"operationId": "deleteRadiusProfile",
"params": {
"siteId": "<siteId>",
"radiusProfileId": "<radiusProfileId>"
}
}Details, permissions and error codes
Delete an exist RADIUS profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-34009 - The RADIUS profile cannot be deleted because it is applied in MAC-Based Authentication.
-34010 - The RADIUS profile cannot be deleted because it is applied in Portal Authentication.
-34012 - Failed to delete this RADIUS profile because it has been used in 802.1X authentication.
-34013 - Failed to delete this RADIUS profile because it has been used in SSID.
-34023 - Failed to delete built-in RADIUS profile.
-43001 - Failed to delete this RADIUS profile because it is already occupied by SSL VPN.
modifyRadiusProfile
PATCH /openapi/v1/{omadacId}/sites/{siteId}/profiles/radius/{radiusProfileId}
Modify an exist RADIUS profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
radiusProfileId | path | string | yes | Radius profile Id |
Request body — application/json (required) — schema CreateRadiusProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Radius profile name should contain 1 to 64 characters |
authServer | array<RadiusAuthServerOpenApiVO> | yes | Radius authentication server list |
radiusAccountingEnable | boolean | yes | Radius accounting enable status |
interimUpdateEnable | boolean | no | When radius accounting enables, interval update enable status |
interimUpdateInterval | integer | no | When interval update enables, interval update duration, unit: second. InterimUpdateInterval should be within the range of 60-86400 |
acctServer | array<RadiusAcctServerOpenApiVO> | no | Radius accounting server list, valid when parameter [radiusAccountingEnable] is true |
wirelessVlanAssignment | boolean | yes | VLAN assignment for wireless network enable status |
coaEnable | boolean | no | Radius CoA enable status |
coaPassword | string | no | Radius CoA password, required when parameter [coaEnable] is true. CoaPassword should contain 1 to 128 characters. The question mark (?), double quote ("), percent sign (%), and backslash (\) may cause the RADIUS function to fail and are not recommended. |
requireMessageAuthenticator | boolean | no | Message-Authenticator enable status |
// omada_call_operation
{
"operationId": "modifyRadiusProfile",
"params": {
"siteId": "<siteId>",
"radiusProfileId": "<radiusProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an exist RADIUS profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-34000 - Interim Update Interval ranges from 60 to 86400.
-34002 - Accounting port number ranges from 60 to 86400.
-34003 - Enter the shared secret key of the accounting server using 1-128 printable ASCII characters (including the space).
-34004 - This RADIUS profile already exists.
-34005 - This RADIUS profile does not exist.
-34011 - Invalid IP address of the RADIUS server.
-34011 - Invalid IP address of the RADIUS server.
-34015 - The RADIUS profile cannot be modified because it is applied in PPSK with RADIUS.
-34016 - Unable to set the authentication server URL because the profile is applied in authentications that do not support authentication server URL.
-34018 - Failed to modify this RADIUS profile because it has been used in 802.1X authentication.
-34022 - Failed to modify built-in RADIUS profile.
-34027 - The built-in server is being used, failed to stop built-in RADIUS server.
-43006 - The RADIUS profile cannot add more than 2 RADIUS servers because it is used by SSL VPN.
-43012 - The number of Accounting Servers in the RADIUS profile should not be greater than the number of Authentication Servers because the RADIUS profile is used by the SSL VPN server.
listServiceType
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/service-type
Get Gateway QoS Service list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "listServiceType",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Gateway QoS Service list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
createServiceType
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/service-type
Create new Gateway QoS Service
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema GatewayQosServiceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The name of Gateway QoS Service should contain 1 to 64 characters. |
protocol | integer | yes | The protocol of Gateway QoS Service should be a value as follows: 0: TCP, 1: UDP, 2: TCP/UDP, 3: ICMP, 4: Other. |
sourceStartPort | integer | no | The start port of Source Port Range. It must be less than the end port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP). |
sourceEndPort | integer | no | The end port of Source Port Range. It must be more than the start port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP). |
destStartPort | integer | no | The start port of Destination Port Range. It must be less than the end port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP). |
destEndPort | integer | no | The end port of Destination Port Range. It must be more than the start port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP). |
type | integer | no | The type cannot be null and should be within the range of 0-255 when protocol is 3(ICMP). |
code | integer | no | The code cannot be null and should be within the range of 0-255 when protocol is 3(ICMP). |
protoNum | integer | no | The protoNum cannot be null and should be within the range of 1-255 when protocol is 4(Other). |
description | string | no | The description of Gateway QoS Service should contain 0 to 128 characters. |
// omada_call_operation
{
"operationId": "createServiceType",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new Gateway QoS Service.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43300 - The number of service types has reached the limit.
getServiceTypeSummary
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/service-type-summary
Get all Gateway QoS Service's ID and name info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getServiceTypeSummary",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get all Gateway QoS Service's ID and name info.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
deleteServiceType
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/service-type/{id}
Delete an existing Gateway QoS Service
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Gateway QoS Service ID |
// omada_call_operation
{
"operationId": "deleteServiceType",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete an existing Gateway QoS Service.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43302 - The service type is used by the class rule.
-43303 - Cannot modify or delete the default service type.
modifyServiceType
PUT /openapi/v1/{omadacId}/sites/{siteId}/profiles/service-type/{id}
Modify an existing Gateway QoS Service
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Gateway QoS Service ID |
Request body — application/json (required) — schema GatewayQosServiceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The name of Gateway QoS Service should contain 1 to 64 characters. |
protocol | integer | yes | The protocol of Gateway QoS Service should be a value as follows: 0: TCP, 1: UDP, 2: TCP/UDP, 3: ICMP, 4: Other. |
sourceStartPort | integer | no | The start port of Source Port Range. It must be less than the end port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP). |
sourceEndPort | integer | no | The end port of Source Port Range. It must be more than the start port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP). |
destStartPort | integer | no | The start port of Destination Port Range. It must be less than the end port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP). |
destEndPort | integer | no | The end port of Destination Port Range. It must be more than the start port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP). |
type | integer | no | The type cannot be null and should be within the range of 0-255 when protocol is 3(ICMP). |
code | integer | no | The code cannot be null and should be within the range of 0-255 when protocol is 3(ICMP). |
protoNum | integer | no | The protoNum cannot be null and should be within the range of 1-255 when protocol is 4(Other). |
description | string | no | The description of Gateway QoS Service should contain 0 to 128 characters. |
// omada_call_operation
{
"operationId": "modifyServiceType",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing Gateway QoS Service.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43301 - The service type does not exist.
-43303 - Cannot modify or delete the default service type.
getWifiCallingProfiles
GET /openapi/v1/{omadacId}/sites/{siteId}/profiles/wifi-calling
Get wifi calling profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getWifiCallingProfiles",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get wifi calling profile list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
createWifiCallingProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/wifi-calling
Create a new wifi calling profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateWifiCallingProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Wi-Fi Calling Profile Name. It should contain 1 to 32 UTF-8 characters. |
description | string | no | Description of the Wi-Fi calling profile. It should contain 1 to 32 UTF-8 characters. |
carrierList | array<CarrierOpenApiVO> | no | carrierList |
// omada_call_operation
{
"operationId": "createWifiCallingProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new wifi calling profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-44900 - The Wi-Fi calling profile already exists.
-44901 - The number of ePDGs has exceeded the limit.
deleteWifiCallingProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/profiles/wifi-calling/{profileId}
Delete an exist wifi calling profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | wifi calling profile ID. |
// omada_call_operation
{
"operationId": "deleteWifiCallingProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Delete an exist wifi calling profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-44900 - The Wi-Fi calling profile already exists.
modifyWifiCallingProfile
PATCH /openapi/v1/{omadacId}/sites/{siteId}/profiles/wifi-calling/{profileId}
Modify a wifi calling profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | Wifi calling profile ID. |
Request body — application/json (required) — schema CreateWifiCallingProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Wi-Fi Calling Profile Name. It should contain 1 to 32 UTF-8 characters. |
description | string | no | Description of the Wi-Fi calling profile. It should contain 1 to 32 UTF-8 characters. |
carrierList | array<CarrierOpenApiVO> | no | carrierList |
// omada_call_operation
{
"operationId": "modifyWifiCallingProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a wifi calling profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-44900 - The Wi-Fi calling profile already exists.
-44901 - The number of ePDGs has exceeded the limit.
copyWifiCallingProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/profiles/wifi-calling/{profileId}/copy
Copy wifi calling profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes |
Request body — application/json (required) — schema CopyWifiCallingProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Wi-Fi Calling Profile Name |
// omada_call_operation
{
"operationId": "copyWifiCallingProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Copy wifi calling profile with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-44900 - The Wi-Fi calling profile already exists.
-44901 - The number of ePDGs has exceeded the limit.
deleteRateLimitProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/rate-limit-profile/{profileId}
Delete rate limit profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | Profile ID |
// omada_call_operation
{
"operationId": "deleteRateLimitProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Delete rate limit profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33732 - The Rate Limit profile does not exist.
-33736 - The default Rate Limit profile cannot be deleted.
-33737 - Failed to delete the Rate Limit profile because the profile is used by Voucher Code %code%.
-33739 - Failed to delete the Rate Limit profile because the profile is used by Local User Account %username%.
-33740 - Failed to delete the Rate Limit profile because the profile is used by the client %MACAddress%.
modifyRateLimitProfile
PUT /openapi/v1/{omadacId}/sites/{siteId}/rate-limit-profile/{profileId}
Modify rate limit profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | Profile ID |
Request body — application/json (required) — schema UpdateRateLimitProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Rate limit profile name should contain 1 to 64 characters. |
downLimitEnable | boolean | yes | Whether to enable download limit |
downLimit | integer | no | Download limit(Unit: Kbps), this field is required when parameter [downLimitEnable] is true. |
upLimitEnable | boolean | yes | Whether to enable upload limit |
upLimit | integer | no | Upload limit(Unit: Kbps), this field is required when parameter [upLimitEnable] is true. |
// omada_call_operation
{
"operationId": "modifyRateLimitProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify rate limit profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33732 - The Rate Limit profile does not exist.
-33733 - This Rate Limit profile already exists.
getRateLimitProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/rate-limit-profiles
Get rate limit profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getRateLimitProfileList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get rate limit profile list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
createRateLimitProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/rate-limit-profiles
Create rate limit profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateRateLimitProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Rate limit profile name should contain 1 to 64 characters. |
downLimitEnable | boolean | yes | Whether to enable download limit |
downLimit | integer | no | Download limit(Unit: Kbps), this field is required when parameter [downLimitEnable] is true; It should be within the range of 1–10485760. |
upLimitEnable | boolean | yes | Whether to enable upload limit |
upLimit | integer | no | Upload limit(Unit: Kbps), this field is required when parameter [upLimitEnable] is true; It should be within the range of 1–10485760. |
// omada_call_operation
{
"operationId": "createRateLimitProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create rate limit profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33733 - This Rate Limit profile already exists.
-33734 - The number of Rate Limit profiles has reached the limit.
deleteTimeRangeProfile
DELETE /openapi/v1/{omadacId}/sites/{siteId}/time-range-profile/{profileId}
Delete time range profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | Profile ID |
// omada_call_operation
{
"operationId": "deleteTimeRangeProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Delete time range profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33701 - Failed to delete this time range profile because it is applied in wireless networks.
-33710 - This profile does not exist.
-33722 - Cannot delete the time range. It is being used in PoE Schedule.
-33754 - Failed to delete this time range profile because it is applied in ACL.
-33776 - Failed to delete this time range profile because it is applied in IPS.
-33853 - Failed to delete this time range profile because it is applied in RRM settings.
-34555 - Cannot delete the time range. It is being used in Port Schedule.
-35106 - Failed to delete this time range profile because it is applied in DPI.
modifyTimeRangeProfile
PUT /openapi/v1/{omadacId}/sites/{siteId}/time-range-profile/{profileId}
Modify time range profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
profileId | path | string | yes | Profile ID |
Request body — application/json (required) — schema UpdateTimeRangeProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Time range profile name should contain 1 to 64 characters. |
dayMode | integer | yes | Time range profile day mode; 0: Every Day, 1: Weekday, 2: Weekend, 3: Customized |
customDayMode | CustomDayModeOpenApiVO | no | (CustomDayModeOpenApiVO not expanded; call omada_get_schema "CustomDayModeOpenApiVO") |
timeList | array<ScheduleTimeOpenApiVO> | yes | Time range profile schedule time config |
// omada_call_operation
{
"operationId": "modifyTimeRangeProfile",
"params": {
"siteId": "<siteId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify time range profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33709 - This profile already exists.
-33716 - End time should be later than start time.
-33731 - Time range is not allowed to be empty.
-33748 - The number of time range per entry has reached the limit.
-33799 - Invalid schedule time param of time range profile
getTimeRangeList
GET /openapi/v1/{omadacId}/sites/{siteId}/time-range-profiles
Get time range profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getTimeRangeList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get time range profile list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
Device Config Page View Only
createTimeRangeProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/time-range-profiles
Create time range profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateTimeRangeProfileOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Time range profile name should contain 1 to 64 characters. |
dayMode | integer | yes | Time range profile day mode; It should be a value as follows: 0: Every Day, 1: Weekday, 2: Weekend, 3: Customized |
customDayMode | CustomDayModeOpenApiVO | no | (CustomDayModeOpenApiVO not expanded; call omada_get_schema "CustomDayModeOpenApiVO") |
timeList | array<ScheduleTimeOpenApiVO> | yes | Time range profile schedule time config |
// omada_call_operation
{
"operationId": "createTimeRangeProfile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create time range profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33709 - This profile already exists.
-33716 - End time should be later than start time.
-33723 - The number of profiles has reached the limit.
-33731 - Time range is not allowed to be empty.
-33748 - The number of time range per entry has reached the limit.
-33799 - Invalid schedule time param of time range profile
createPPSKProfileV2
POST /openapi/v2/{omadacId}/sites/{siteId}/ppsk-profile
Create PPSK profile V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PpskProfile V2
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | PPSK Profile Name, should contain 1 to 64 characters. |
autoCreatePsks | boolean | yes | Whether to enable auto create psks |
ppsk | array<PpskSetting V2> | no | This field is required when Parameter [autoCreatePsks] is false; PPSK List In the PPSK Profile |
number | integer | no | This field is required when Parameter [autoCreatePsks] is true; Generate Number, should be within the range of 1-1024. |
prefix | string | no | This field is required when Parameter [autoCreatePsks] is true; PSK Name Prefix, should contain 1 to 60 visible ASCII characters. |
length | integer | no | This field is required when Parameter [autoCreatePsks] is true; PSK Password Length, should be within the range of 8-63. |
vlan | integer | no | This field is required when Parameter [autoCreatePsks] is true; PSK Bound Vlan, should be within the range of 1-4094. |
vlanPool | string | no | This field is required when Parameter [autoCreatePsks] is true; PSK Bound Vlan range, should be like: 10-1000. |
vlanInterval | integer | no | This field is required when Parameter [autoCreatePsks] is true; The interval of vlan when auto creating psk |
rateLimit | PPSKRateLimitSettingVO | no | (PPSKRateLimitSettingVO not expanded; call omada_get_schema "PPSKRateLimitSettingVO") |
expiration | PPSKExpirationVO | no | (PPSKExpirationVO not expanded; call omada_get_schema "PPSKExpirationVO") |
// omada_call_operation
{
"operationId": "createPPSKProfileV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create PPSK profile
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify